<?php
namespace Bushelpowered\Api\Crm\V1\Response;
        
class CustomerResponse implements \Bushelpowered\Api\Common\HasCreatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedAtTimestamp, \Bushelpowered\Api\Common\HasDeletedAtTimestamp, \Bushelpowered\Api\Common\HasDeletedBy
{
    public string $id;
    public string $tenantId;
    public string $name;
    public string $sourceName;
    public ?string $createdBy = null;
    public ?string $updatedBy = null;
    /** @var string $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;
    /** @var string $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;
    /** @var null|string $deletedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $deletedAt = null;
    public ?string $deletedBy = null;

    /**
     * @param  string  $createdAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $deletedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $tenantId, string $name, string $sourceName, ?string $createdBy, ?string $updatedBy, string $createdAt, string $updatedAt, ?string $deletedAt, ?string $deletedBy)
    {
        $this->id = $id;
        $this->tenantId = $tenantId;
        $this->name = $name;
        $this->sourceName = $sourceName;
        $this->createdBy = $createdBy;
        $this->updatedBy = $updatedBy;
        $this->createdAt = $createdAt;
        $this->updatedAt = $updatedAt;
        $this->deletedAt = $deletedAt;
        $this->deletedBy = $deletedBy;
    }
    
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getCreatedAt(): string
    {
        return $this->createdAt;
    }
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
    /**
     * @return null|string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getDeletedAt(): ?string
    {
        return $this->deletedAt;
    }
    public function getDeletedBy(): ?string
    {
        return $this->deletedBy;
    }
}